## dde-daemon 6.1.32

=== Makefile ===
PREFIX = /usr
GOPATH_DIR = gopath
GOPKG_PREFIX = github.com/linuxdeepin/dde-daemon
GOBUILD = go build $(GO_BUILD_FLAGS)
export GOPATH=$(shell go env GOPATH)

ifneq (${shell uname -m}, mips64)
    GOBUILD_OPTIONS = -ldflags '-linkmode=external -extldflags "-pie"'
endif

TEST = \
    ${GOPKG_PREFIX}/accounts1 \
    ${GOPKG_PREFIX}/accounts1/checkers \
    ${GOPKG_PREFIX}/accounts1/logined \
    ${GOPKG_PREFIX}/accounts1/users \
    ${GOPKG_PREFIX}/appinfo \
    ${GOPKG_PREFIX}/apps1 \
    ${GOPKG_PREFIX}/audio1 \
    ${GOPKG_PREFIX}/bin/backlight_helper \
    ${GOPKG_PREFIX}/bin/backlight_helper/ddcci \
    ${GOPKG_PREFIX}/bin/dde-authority \
    ${GOPKG_PREFIX}/bin/dde-greeter-setter \
    ${GOPKG_PREFIX}/bin/dde-lockservice \
    ${GOPKG_PREFIX}/bin/dde-session-daemon \
    ${GOPKG_PREFIX}/bin/dde-system-daemon \
    ${GOPKG_PREFIX}/bin/default-terminal \
    ${GOPKG_PREFIX}/bin/grub2 \
    ${GOPKG_PREFIX}/bin/langselector \
    ${GOPKG_PREFIX}/bin/search \
    ${GOPKG_PREFIX}/bin/soundeffect \
    ${GOPKG_PREFIX}/bin/user-config \
    ${GOPKG_PREFIX}/bluetooth1 \
    ${GOPKG_PREFIX}/calltrace \
    ${GOPKG_PREFIX}/clipboard1 \
    ${GOPKG_PREFIX}/clipboard1/mocks \
    ${GOPKG_PREFIX}/common/bluetooth \
    ${GOPKG_PREFIX}/common/dsync \
    ${GOPKG_PREFIX}/common/sessionmsg \
    ${GOPKG_PREFIX}/dbus \
    ${GOPKG_PREFIX}/debug \
    ${GOPKG_PREFIX}/fprintd1 \
    ${GOPKG_PREFIX}/fprintd1/common \
    ${GOPKG_PREFIX}/gesture1 \
    ${GOPKG_PREFIX}/graph \
    ${GOPKG_PREFIX}/grub2 \
    ${GOPKG_PREFIX}/grub_common \
    ${GOPKG_PREFIX}/grub_gfx \
    ${GOPKG_PREFIX}/housekeeping \
    ${GOPKG_PREFIX}/image_effect1 \
    ${GOPKG_PREFIX}/inputdevices1 \
    ${GOPKG_PREFIX}/inputdevices1/iso639 \
    ${GOPKG_PREFIX}/iw \
    ${GOPKG_PREFIX}/keybinding1 \
    ${GOPKG_PREFIX}/keybinding1/shortcuts \
    ${GOPKG_PREFIX}/keybinding1/util \
    ${GOPKG_PREFIX}/langselector1 \
    ${GOPKG_PREFIX}/lastore1 \
    ${GOPKG_PREFIX}/loader \
    ${GOPKG_PREFIX}/network1 \
    ${GOPKG_PREFIX}/network1/nm \
    ${GOPKG_PREFIX}/network1/nm_generator \
    ${GOPKG_PREFIX}/network1/proxychains \
    ${GOPKG_PREFIX}/screenedge1 \
    ${GOPKG_PREFIX}/screensaver1 \
    ${GOPKG_PREFIX}/service_trigger \
    ${GOPKG_PREFIX}/session/common \
    ${GOPKG_PREFIX}/session/eventlog \
    ${GOPKG_PREFIX}/session/power1 \
    ${GOPKG_PREFIX}/session/uadpagent1 \
    ${GOPKG_PREFIX}/sessionwatcher1 \
    ${GOPKG_PREFIX}/soundeffect1 \
    ${GOPKG_PREFIX}/system/airplane_mode1 \
    ${GOPKG_PREFIX}/system/bluetooth1 \
    ${GOPKG_PREFIX}/system/display1 \
    ${GOPKG_PREFIX}/system/gesture1 \
    ${GOPKG_PREFIX}/system/hostname \
    ${GOPKG_PREFIX}/system/inputdevices1 \
    ${GOPKG_PREFIX}/system/keyevent1 \
    ${GOPKG_PREFIX}/system/lang \
    ${GOPKG_PREFIX}/system/network1 \
    ${GOPKG_PREFIX}/system/power1 \
    ${GOPKG_PREFIX}/system/power_manager1 \
    ${GOPKG_PREFIX}/system/resource_ctl \
    ${GOPKG_PREFIX}/system/scheduler \
    ${GOPKG_PREFIX}/system/swapsched1 \
    ${GOPKG_PREFIX}/system/systeminfo1 \
    ${GOPKG_PREFIX}/system/timedate1 \
    ${GOPKG_PREFIX}/system/uadp1 \
    ${GOPKG_PREFIX}/systeminfo1 \
    ${GOPKG_PREFIX}/timedate1 \
    ${GOPKG_PREFIX}/trayicon1 \
    ${GOPKG_PREFIX}/x_event_monitor1 \
    ${GOPKG_PREFIX}/bin/default-file-manager \
    ${GOPKG_PREFIX}/display1 \
    ${GOPKG_PREFIX}/xsettings1
    #${GOPKG_PREFIX}/timedate1/zoneinfo \

BINARIES =  \
	    dde-session-daemon \
	    dde-system-daemon \
	    grub2 \
	    search \
	    backlight_helper \
	    langselector \
	    soundeffect \
	    dde-lockservice \
	    dde-authority \
	    default-terminal \
	    dde-greeter-setter \
	    default-file-manager \
	    greeter-display-daemon \
	    fix-xauthority-perm

LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))

CFLAGS = -W -Wall -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie

all: build

prepare:
	@mkdir -p out/bin
	@mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX});
	@ln -snf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX};

out/bin/%: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o $@ ${GOBUILD_OPTIONS} ${GOPKG_PREFIX}/bin/${@F}

out/bin/desktop-toggle: bin/desktop-toggle/main.c
	gcc $^ $(shell pkg-config --cflags --libs x11) $(CFLAGS) -o $@

out/locale/%/LC_MESSAGES/dde-daemon.mo: misc/po/%.po
	mkdir -p $(@D)
	msgfmt -o $@ $<

translate: $(addsuffix /LC_MESSAGES/dde-daemon.mo, $(addprefix out/locale/, ${LANGUAGES}))

pot:
	deepin-update-pot misc/po/locale_config.ini

POLICIES=accounts grub2 fprintd
ts:
	for i in $(POLICIES); do \
		deepin-policy-ts-convert policy2ts misc/polkit-action/org.deepin.dde.$$i.policy.in misc/ts/org.deepin.dde.$$i.policy; \
	done

ts_to_policy:
	for i in $(POLICIES); do \
	deepin-policy-ts-convert ts2policy misc/polkit-action/org.deepin.dde.$$i.policy.in misc/ts/org.deepin.dde.$$i.policy misc/polkit-action/org.deepin.dde.$$i.policy; \
	done

build: prepare out/bin/default-terminal out/bin/default-file-manager out/bin/desktop-toggle $(addprefix out/bin/, ${BINARIES}) ts_to_policy icons translate

test: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -v ${TEST}
test-coverage: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -cover -v ./... | awk '$$2 ~ "_${CURDIR}" {print $$2","$$5}' | sed "s:${CURDIR}::g" | sed 's/files\]/0\.0%/g' > coverage.csv

print_gopath: prepare
	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"

install: build install-dde-data install-icons
	mkdir -pv ${DESTDIR}${PREFIX}/lib/deepin-daemon
	cp -f out/bin/* ${DESTDIR}${PREFIX}/lib/deepin-daemon/

	mkdir -pv ${DESTDIR}${PREFIX}/share/locale
	cp -r out/locale/* ${DESTDIR}${PREFIX}/share/locale

	mkdir -pv ${DESTDIR}${PREFIX}/share/dbus-1/system.d
	cp misc/conf/*.conf ${DESTDIR}${PREFIX}/share/dbus-1/system.d/

	mkdir -pv ${DESTDIR}${PREFIX}/share/dbus-1
	cp -r misc/services ${DESTDIR}${PREFIX}/share/dbus-1/
	cp -r misc/system-services ${DESTDIR}${PREFIX}/share/dbus-1/

	mkdir -pv ${DESTDIR}${PREFIX}/share/polkit-1/actions
	cp misc/polkit-action/*.policy ${DESTDIR}${PREFIX}/share/polkit-1/actions/

	mkdir -pv ${DESTDIR}/var/lib/polkit-1/localauthority/10-vendor.d
	cp misc/polkit-localauthority/*.pkla ${DESTDIR}/var/lib/polkit-1/localauthority/10-vendor.d/

	mkdir -pv ${DESTDIR}${PREFIX}/share/dde-daemon
	cp -r misc/dde-daemon/*   ${DESTDIR}${PREFIX}/share/dde-daemon/
	cp -r misc/usr/share/deepin ${DESTDIR}${PREFIX}/share/

	mkdir -pv ${DESTDIR}/lib/systemd/
	cp -r misc/systemd/services/* ${DESTDIR}/lib/systemd/

	mkdir -p $(DESTDIR)$(PREFIX)/lib/systemd/user/dde-session-pre.target.wants/
	ln -s $(PREFIX)/lib/systemd/user/org.dde.session.Daemon1.service $(DESTDIR)$(PREFIX)/lib/systemd/user/dde-session-pre.target.wants/org.dde.session.Daemon1.service

	mkdir -pv ${DESTDIR}/etc/pam.d/
	cp -f misc/etc/pam.d/* ${DESTDIR}/etc/pam.d/

	mkdir -pv ${DESTDIR}/etc/default/grub.d
	cp -f misc/etc/default/grub.d/* ${DESTDIR}/etc/default/grub.d

	mkdir -pv ${DESTDIR}/etc/deepin
	cp -f misc/etc/deepin/* ${DESTDIR}/etc/deepin

	mkdir -pv ${DESTDIR}/etc/acpi/events
	cp -f misc/etc/acpi/events/* ${DESTDIR}/etc/acpi/events/

	mkdir -pv ${DESTDIR}/etc/acpi/actions
	cp -f misc/etc/acpi/actions/* ${DESTDIR}/etc/acpi/actions/

	mkdir -pv ${DESTDIR}/etc/pulse/daemon.conf.d
	cp -f misc/etc/pulse/daemon.conf.d/*.conf ${DESTDIR}/etc/pulse/daemon.conf.d/

	mkdir -pv ${DESTDIR}/lib/udev/rules.d
	cp -f misc/udev-rules/*.rules ${DESTDIR}/lib/udev/rules.d/

	mkdir -pv ${DESTDIR}${PREFIX}/lib/deepin-daemon/service-trigger
	cp -f misc/service-trigger/*.json ${DESTDIR}${PREFIX}/lib/deepin-daemon/service-trigger/

	mkdir -pv ${DESTDIR}/etc/NetworkManager/conf.d
	cp -f misc/etc/NetworkManager/conf.d/* ${DESTDIR}/etc/NetworkManager/conf.d/

	mkdir -pv ${DESTDIR}${PREFIX}/libexec/dde-daemon/
	cp -r misc/libexec/dde-daemon/* ${DESTDIR}${PREFIX}/libexec/dde-daemon/

	mkdir -pv ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
	cp -r misc/dsg-configs/*.json ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/

	cp -f misc/scripts/dde-lock.sh ${DESTDIR}${PREFIX}/lib/deepin-daemon/
	cp -f misc/scripts/dde-shutdown.sh ${DESTDIR}${PREFIX}/lib/deepin-daemon/
install-dde-data:
	mkdir -pv ${DESTDIR}${PREFIX}/share/dde/
	cp -r misc/data misc/zoneinfo ${DESTDIR}${PREFIX}/share/dde/

	install -Dm644 misc/lightdm.conf ${DESTDIR}${PREFIX}/share/lightdm/lightdm.conf.d/60-deepin.conf

	mkdir -p $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
	install -v -m0644 misc/schemas/*.xml $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas/

	mkdir -p $(DESTDIR)$(PREFIX)/lib/systemd/user/dde-session-initialized.target.wants/
	install -v -m0644 misc/systemd_task/dde-display-task-refresh-brightness.service $(DESTDIR)$(PREFIX)/lib/systemd/user/
	ln -s $(PREFIX)/lib/systemd/user/dde-display-task-refresh-brightness.service $(DESTDIR)$(PREFIX)/lib/systemd/user/dde-session-initialized.target.wants/dde-display-task-refresh-brightness.service

icons:
	python3 misc/icons/install_to_hicolor.py -d status -o out/icons misc/icons/status

install-icons: icons
	mkdir -pv ${DESTDIR}${PREFIX}/share/icons/
	cp -r out/icons/hicolor ${DESTDIR}${PREFIX}/share/icons/

clean:
	rm -rf ${GOPATH_DIR}
	rm -rf out

rebuild: clean build

check_code_quality: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go vet ./...

=== debian/changelog ===
dde-daemon (6.1.32) unstable; urgency=medium

  * feat: add fallback NTP server support

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 13 May 2025 21:20:26 +0800

dde-daemon (6.1.31) unstable; urgency=medium

  * fix: 修改噪音抑制脚本

 -- fuleyi <fuleyi@uniontech.com>  Tue, 13 May 2025 19:37:31 +0800

dde-daemon (6.1.30) unstable; urgency=medium

  * fix: 解决蓝牙文件传输失败的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 08 May 2025 17:11:02 +0800

dde-daemon (6.1.29) unstable; urgency=medium

  * chore: add transifex config file
  * fix: starting with none screen, then inserted a screen, the screen
    cannot be lit
  * feat: Provide osbuild properties
  * fix: 解决dde-session-daemon启动慢的问题

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 10:56:39 +0800

dde-daemon (6.1.28) unstable; urgency=medium

  * feat: change default lock wallpaper path

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 22 Apr 2025 20:32:29 +0800

=== debian/control ===
Source: dde-daemon
Section: admin
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 dde-api-dev (>> 3.17.1+),
 debhelper-compat (= 11),
 deepin-desktop-schemas,
 deepin-gettext-tools,
 golang-github-linuxdeepin-go-lib-dev(>> 5.1.0+),
 golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+),
 golang-gir-gobject-2.0-dev (>> 1.2.0+),
 golang-gir-gudev-1.0-dev (>> 1.2.0+),
 golang-github-axgle-mahonia-dev,
 golang-github-davecgh-go-spew-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-gosexy-gettext-dev,
 golang-github-jinzhu-gorm-dev,
 golang-github-kelvins-sunrisesunset-dev,
 golang-github-linuxdeepin-go-dbus-factory-dev (>= 1.4.0),
 golang-github-linuxdeepin-go-x11-client-dev (>= 0.0.4),
 golang-github-lofanmi-pinyin-dev,
 golang-github-mattn-go-sqlite3-dev,
 golang-github-mozillazg-go-pinyin-dev,
 golang-github-msteinert-pam-dev,
 golang-github-nfnt-resize-dev,
 golang-github-rickb777-date-dev,
 golang-github-smartystreets-goconvey-dev,
 golang-github-teambition-rrule-go-dev,
 golang-github-adrg-xdg-dev,
 golang-go,
 golang-golang-x-sys-dev,
 golang-golang-x-xerrors-dev,
 golang-gopkg-check.v1-dev,
 golang-gopkg-yaml.v3-dev,
 golang-google-protobuf-dev,
 golang-github-mdlayher-netlink-dev,
 golang-github-jouyouyun-hardware-dev,
 libfontconfig1-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libinput-dev,
 libnl-3-dev,
 libnl-genl-3-dev,
 librsvg2-bin,
 libudev-dev,
 libx11-dev,
 libxcb-record0-dev,
 libxcb1-dev,
 libxcursor-dev,
 libxfixes-dev,
 libxi-dev,
 libxkbfile-dev,
 libxtst-dev,
 libddcutil-dev,
 python3,
Standards-Version: 4.5.1
Homepage: http://www.deepin.org

Package: dde-daemon
Architecture: any
Depends:
 bamfdaemon,
 bluez-obexd,
 cgroup-tools,
 dbus,
 dde-api (>> 3.17.1+),
 dde-polkit-agent,
 deepin-desktop-schemas (>> 5.1.2+),
 deepin-installer-timezones,
 deepin-proxy,
 deepin-sound-theme,
 dmidecode,
 dnsmasq-base,
 gnome-keyring,
 libglib2.0-bin,
 hwinfo,
 imwheel,
 ipwatchd,
 iso-codes,
 lastore-daemon,
 libfprint0 | libfprint | libfprint-2-2,
 libnl-3-200,
 libnl-genl-3-200,
 libnotify-bin,
 libpam-runtime (>= 1.1.3-2~),
 libpam0g,
 libnss-myhostname,
 mobile-broadband-provider-info,
 network-manager,
 procps,
 rfkill,
 user-setup,
 xdotool,
 xkb-data,
 dde-dconfig-daemon,
 ${dist:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 lastore-daemon(<< 0.9.64),
Replaces:
 lastore-daemon(<< 0.9.64),
Conflicts:
 startdde,
 dde-workspace,
 lastore-daemon-migration,
Provides:
 lastore-daemon-migration,
Recommends:
 flatpak,
 iio-sensor-proxy,
 tlp,
 proxychains4,
 mesa-utils,
Suggests:
 bluez (>=5.4),
 miraclecast,
 network-manager-l2tp,
 network-manager-openconnect,
 network-manager-openvpn,
 network-manager-pptp,
 network-manager-sstp,
 network-manager-vpnc,
 xserver-xorg-input-synaptics,
 xserver-xorg-input-wacom,
Description: daemon handling the DDE session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a DDE session and the applications that run
 under it.

## dde-daemon 6.1.41

=== Makefile ===
--- 
+++ 
@@ -221,6 +221,9 @@
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
 	cp -r misc/dsg-configs/*.json ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.daemon/
 
+	mkdir -pv ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.lightdm-deepin-greeter
+	cp -r misc/dsg-configs/org.deepin.dde.lightdm-deepin-greeter/*.json ${DESTDIR}${PREFIX}/share/dsg/configs/org.deepin.dde.lightdm-deepin-greeter/
+
 	cp -f misc/scripts/dde-lock.sh ${DESTDIR}${PREFIX}/lib/deepin-daemon/
 	cp -f misc/scripts/dde-shutdown.sh ${DESTDIR}${PREFIX}/lib/deepin-daemon/
 install-dde-data:

=== debian/changelog ===
dde-daemon (6.1.41) unstable; urgency=medium

  * fix: remove redundant own policy in Accounts1 config
  * fix: Fix incompatible function pointer types with g_timeout_add_full
    on GCC 15

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 15:47:51 +0800

dde-daemon (6.1.40) unstable; urgency=medium

  * chore: remove regional variants for es languages
  * i18n: Updates for project Deepin Desktop Environment (#813)

 -- WuJiangYu <wujiangyu@uniontech.com>  Mon, 23 Jun 2025 17:16:10 +0800

dde-daemon (6.1.39) unstable; urgency=medium

  * fix: reorder module dependencies in session daemon and update
    imports

 -- fuleyi <fuleyi@uniontech.com>  Sat, 21 Jun 2025 15:35:24 +0800

dde-daemon (6.1.38) unstable; urgency=medium

  * fix: update text scale factor in XSettings configuration

 -- fuleyi <fuleyi@uniontech.com>  Fri, 20 Jun 2025 18:26:08 +0800

dde-daemon (6.1.37) unstable; urgency=medium

  * fix: Add interface to obtain all keyboard layouts
  * i18n: Updates for project Deepin Desktop Environment (#807)

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 19 Jun 2025 16:38:27 +0800

dde-daemon (6.1.36) unstable; urgency=medium

  * fix: Modify translations to align with Control Center
  * fix: adjust gesture feature translations and reorder options
  * fix: Modify the refresh rate accuracy to 0.01
  * i18n: Updates for project Deepin Desktop Environment (#774)

 -- fuleyi <fuleyi@uniontech.com>  Thu, 12 Jun 2025 20:50:06 +0800

dde-daemon (6.1.35) unstable; urgency=medium

  * feat: add lightdm-deepin-greeter configuration files to installation
    for quick login
  * refactor: remove ai-assistant shortcuts and related actions
  * fix: 修复换不同显示器后系统缩放未改变的问题。
  * feat: integrate keyboard management with dsg configuration
  * fix: remove manual mode check and adjust auto mode logic
  * feat: 快捷键切换屏幕时判断有效屏幕数量

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Jun 2025 20:48:02 +0800

dde-daemon (6.1.34) unstable; urgency=medium

  * chore: 更正一些dbus的调用，使用org风格接口名进行调用
  * fix: 解决降噪设置被重复触发的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 29 May 2025 15:36:14 +0800

dde-daemon (6.1.33) unstable; urgency=medium

  * fix: 修复认证漏洞
  * fix: extend custom timezone list
  * fix: 解决亮度概率异常的问题

 -- fuleyi <fuleyi@uniontech.com>  Tue, 27 May 2025 20:26:35 +0800

## dde-daemon 6.1.45

=== Makefile ===
--- 
+++ 
@@ -113,8 +113,6 @@
 
 LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
 
-CFLAGS = -W -Wall -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie
-
 all: build
 
 prepare:

=== debian/changelog ===
dde-daemon (6.1.45) unstable; urgency=medium

  * fix: add nil checks for audio sink/source updates
  * fix: The scheduled shutdown during holidays takes effect

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 22 Jul 2025 11:26:59 +0800

dde-daemon (6.1.44) unstable; urgency=medium

  * fix: fix some modules loaded failed
  * fix: fix failure to change audio input device

 -- fuleyi <fuleyi@uniontech.com>  Tue, 15 Jul 2025 20:50:41 +0800

dde-daemon (6.1.43) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#823)
  * feat: add GenLocale method and improve locale state handling
  * fix: avoid dpkg packaging failures
  * feat: root进程需要判断调用者时，使用TrustedExe替换Exe
  * Revert "chore: prohibit the startup and auto start of some services"

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 10 Jul 2025 20:58:57 +0800

dde-daemon (6.1.42) unstable; urgency=medium

  * fix: add tlp dependency to debian control file
  * fix: add nil check for xsManager in tryToChangeScaleFactor
  * chore: prohibit the startup and auto start of some services

 -- fuleyi <fuleyi@uniontech.com>  Thu, 03 Jul 2025 17:22:54 +0800

=== debian/control ===
--- 
+++ 
@@ -91,6 +91,7 @@
  network-manager,
  procps,
  rfkill,
+ tlp,
  user-setup,
  xdotool,
  xkb-data,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export GOCACHE = /tmp/gocache
export GOPATH = /usr/share/gocode
export GO111MODULE=off
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CFLAGS = -W -Wall -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie

SYSTYPE=Desktop
SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')

ifeq ($(SYSTYPE), Desktop)
override_dh_gencontrol:
	dh_gencontrol -- -Vdist:Depends="fprintd, libpam-fprintd"
endif

%:
	dh $@

ifeq ($(DEB_BUILD_ARCH), sw_64)
override_dh_strip:
	true
override_dh_auto_test:
	true
endif

override_dh_auto_install:
	dh_auto_install
	dh_installsysusers  dde-daemon.sysusers
	dh_installtmpfiles dde-daemon.tmpfiles

ifeq ($(DEB_BUILD_ARCH), mipsel)
override_dh_auto_configure:
	# mate-screenshot -a grab the area screen
	sed -i 's|"deepin-screenshot"|"mate-screenshot -a"|g' misc/dde-daemon/keybinding/system_actions.json
	# mate-screenshot grab the full screen
	sed -i 's|"deepin-screenshot -f"|"mate-screenshot"|g' misc/dde-daemon/keybinding/system_actions.json
	sed -i 's|deepin-screenshot|mate-screenshot|g' misc/dde-daemon/keybinding/system_actions.json

	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	rm debian/dde-daemon/etc/default/grub.d/10_deepin.cfg
	rm debian/dde-daemon/etc/grub.d/35_deepin_gfxmode
	dh_installsysusers  dde-daemon.sysusers
	dh_installtmpfiles dde-daemon.tmpfiles
endif

ifeq ($(DEB_BUILD_ARCH), mips64el)
override_dh_auto_install:
	dh_auto_install
	rm debian/dde-daemon/etc/default/grub.d/10_deepin.cfg
	install -d debian/dde-daemon/lib/systemd/system-sleep/
	install misc/scripts/dde-system-daemon-power-refresh.sh debian/dde-daemon/lib/systemd/system-sleep/
	dh_installsysusers  dde-daemon.sysusers
	dh_installtmpfiles dde-daemon.tmpfiles
endif

override_dh_installsystemd:
	dh_installsystemd --no-start

override_dh_auto_clean:
	dh_auto_clean --
	rm -fr obj-x86_64-linux-gnu

## dde-daemon 6.1.50

=== debian/changelog ===
dde-daemon (6.1.50) unstable; urgency=medium

  * chore: Updates for go.mod
  * Fix: replace TrustedExe with Exe due to systemd namespace changes

 -- fuleyi <fuleyi@uniontech.com>  Fri, 15 Aug 2025 10:31:02 +0800

dde-daemon (6.1.49) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#848)

 -- wujiangyu <wujiangyu@uniontech.com>  Tue, 12 Aug 2025 10:39:53 +0800

dde-daemon (6.1.48) unstable; urgency=medium

  * feat: 优化音频事件的处理
  * chore: update go.mod and gitignore

 -- fuleyi <fuleyi@uniontech.com>  Fri, 08 Aug 2025 11:05:36 +0800

dde-daemon (6.1.47) unstable; urgency=medium

  * fix: remove redundant kernel version check in plymouth theme setup

  -- lvpeilong <lvpeilong@uniontech.com>  Fri, 01 Aug 2025 10:00:00 +0800

dde-daemon (6.1.46) unstable; urgency=medium

  * fix: update initramfs for all kernels instead of current
  * fix: Double click setting does not take effect
  * fix: simplify desktop file creation logic
  * fix: update NTP server configuration and fallback logic
  * fix: correct flags format in system config
  * fix: QuickLogin enable state only response to dconfig changes
  * chore: update  go.mod

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:43:17 +0800

=== debian/control ===
--- 
+++ 
@@ -99,10 +99,6 @@
  ${dist:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- lastore-daemon(<< 0.9.64),
-Replaces:
- lastore-daemon(<< 0.9.64),
 Conflicts:
  startdde,
  dde-workspace,

## dde-daemon 6.1.61

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,15 @@
 GOBUILD = go build $(GO_BUILD_FLAGS)
 export GOPATH=$(shell go env GOPATH)
 
+# 构建标签控制
+# 设置 BUILD_TAGS 环境变量来控制模块编译
+# 默认不编译scheduler模块，只有在Deepin/UOS平台或手动设置时才编译
+BUILD_TAGS ?= noscheduler
+
+ifneq ($(BUILD_TAGS),)
+    GOBUILD_TAGS = -tags $(BUILD_TAGS)
+endif
+
 ifneq (${shell uname -m}, mips64)
     GOBUILD_OPTIONS = -ldflags '-linkmode=external -extldflags "-pie"'
 endif
@@ -13,12 +22,9 @@
     ${GOPKG_PREFIX}/accounts1/checkers \
     ${GOPKG_PREFIX}/accounts1/logined \
     ${GOPKG_PREFIX}/accounts1/users \
-    ${GOPKG_PREFIX}/appinfo \
-    ${GOPKG_PREFIX}/apps1 \
     ${GOPKG_PREFIX}/audio1 \
     ${GOPKG_PREFIX}/bin/backlight_helper \
     ${GOPKG_PREFIX}/bin/backlight_helper/ddcci \
-    ${GOPKG_PREFIX}/bin/dde-authority \
     ${GOPKG_PREFIX}/bin/dde-greeter-setter \
     ${GOPKG_PREFIX}/bin/dde-lockservice \
     ${GOPKG_PREFIX}/bin/dde-session-daemon \
@@ -38,8 +44,6 @@
     ${GOPKG_PREFIX}/common/sessionmsg \
     ${GOPKG_PREFIX}/dbus \
     ${GOPKG_PREFIX}/debug \
-    ${GOPKG_PREFIX}/fprintd1 \
-    ${GOPKG_PREFIX}/fprintd1/common \
     ${GOPKG_PREFIX}/gesture1 \
     ${GOPKG_PREFIX}/graph \
     ${GOPKG_PREFIX}/grub2 \
@@ -49,24 +53,18 @@
     ${GOPKG_PREFIX}/image_effect1 \
     ${GOPKG_PREFIX}/inputdevices1 \
     ${GOPKG_PREFIX}/inputdevices1/iso639 \
-    ${GOPKG_PREFIX}/iw \
     ${GOPKG_PREFIX}/keybinding1 \
     ${GOPKG_PREFIX}/keybinding1/shortcuts \
     ${GOPKG_PREFIX}/keybinding1/util \
     ${GOPKG_PREFIX}/langselector1 \
     ${GOPKG_PREFIX}/lastore1 \
     ${GOPKG_PREFIX}/loader \
-    ${GOPKG_PREFIX}/network1 \
-    ${GOPKG_PREFIX}/network1/nm \
-    ${GOPKG_PREFIX}/network1/nm_generator \
-    ${GOPKG_PREFIX}/network1/proxychains \
     ${GOPKG_PREFIX}/screenedge1 \
     ${GOPKG_PREFIX}/screensaver1 \
     ${GOPKG_PREFIX}/service_trigger \
     ${GOPKG_PREFIX}/session/common \
     ${GOPKG_PREFIX}/session/eventlog \
     ${GOPKG_PREFIX}/session/power1 \
-    ${GOPKG_PREFIX}/session/uadpagent1 \
     ${GOPKG_PREFIX}/sessionwatcher1 \
     ${GOPKG_PREFIX}/soundeffect1 \
     ${GOPKG_PREFIX}/system/airplane_mode1 \
@@ -77,7 +75,6 @@
     ${GOPKG_PREFIX}/system/inputdevices1 \
     ${GOPKG_PREFIX}/system/keyevent1 \
     ${GOPKG_PREFIX}/system/lang \
-    ${GOPKG_PREFIX}/system/network1 \
     ${GOPKG_PREFIX}/system/power1 \
     ${GOPKG_PREFIX}/system/power_manager1 \
     ${GOPKG_PREFIX}/system/resource_ctl \
@@ -104,7 +101,6 @@
 	    langselector \
 	    soundeffect \
 	    dde-lockservice \
-	    dde-authority \
 	    default-terminal \
 	    dde-greeter-setter \
 	    default-file-manager \
@@ -121,7 +117,7 @@
 	@ln -snf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX};
 
 out/bin/%: prepare
-	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o $@ ${GOBUILD_OPTIONS} ${GOPKG_PREFIX}/bin/${@F}
+	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o $@ ${GOBUILD_OPTIONS} ${GOBUILD_TAGS} ${GOPKG_PREFIX}/bin/${@F}
 
 out/bin/desktop-toggle: bin/desktop-toggle/main.c
 	gcc $^ $(shell pkg-config --cflags --libs x11) $(CFLAGS) -o $@
@@ -135,7 +131,7 @@
 pot:
 	deepin-update-pot misc/po/locale_config.ini
 
-POLICIES=accounts grub2 fprintd
+POLICIES=accounts grub2
 ts:
 	for i in $(POLICIES); do \
 		deepin-policy-ts-convert policy2ts misc/polkit-action/org.deepin.dde.$$i.policy.in misc/ts/org.deepin.dde.$$i.policy; \
@@ -173,8 +169,8 @@
 	mkdir -pv ${DESTDIR}${PREFIX}/share/polkit-1/actions
 	cp misc/polkit-action/*.policy ${DESTDIR}${PREFIX}/share/polkit-1/actions/
 
-	mkdir -pv ${DESTDIR}/var/lib/polkit-1/localauthority/10-vendor.d
-	cp misc/polkit-localauthority/*.pkla ${DESTDIR}/var/lib/polkit-1/localauthority/10-vendor.d/
+	mkdir -pv ${DESTDIR}${PREFIX}/share/polkit-1/rules.d/
+	cp misc/polkit-rules/*.rules ${DESTDIR}${PREFIX}/share/polkit-1/rules.d/
 
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dde-daemon
 	cp -r misc/dde-daemon/*   ${DESTDIR}${PREFIX}/share/dde-daemon/
@@ -195,23 +191,11 @@
 	mkdir -pv ${DESTDIR}/etc/deepin
 	cp -f misc/etc/deepin/* ${DESTDIR}/etc/deepin
 
-	mkdir -pv ${DESTDIR}/etc/acpi/events
-	cp -f misc/etc/acpi/events/* ${DESTDIR}/etc/acpi/events/
-
-	mkdir -pv ${DESTDIR}/etc/acpi/actions
-	cp -f misc/etc/acpi/actions/* ${DESTDIR}/etc/acpi/actions/
-
 	mkdir -pv ${DESTDIR}/etc/pulse/daemon.conf.d
 	cp -f misc/etc/pulse/daemon.conf.d/*.conf ${DESTDIR}/etc/pulse/daemon.conf.d/
 
-	mkdir -pv ${DESTDIR}/lib/udev/rules.d
-	cp -f misc/udev-rules/*.rules ${DESTDIR}/lib/udev/rules.d/
-
 	mkdir -pv ${DESTDIR}${PREFIX}/lib/deepin-daemon/service-trigger
 	cp -f misc/service-trigger/*.json ${DESTDIR}${PREFIX}/lib/deepin-daemon/service-trigger/
-
-	mkdir -pv ${DESTDIR}/etc/NetworkManager/conf.d
-	cp -f misc/etc/NetworkManager/conf.d/* ${DESTDIR}/etc/NetworkManager/conf.d/
 
 	mkdir -pv ${DESTDIR}${PREFIX}/libexec/dde-daemon/
 	cp -r misc/libexec/dde-daemon/* ${DESTDIR}${PREFIX}/libexec/dde-daemon/

=== debian/changelog ===
dde-daemon (6.1.61) unstable; urgency=medium

  * fix: resolve crash from dconfig type mismatch

 -- fuleyi <fuleyi@uniontech.com>  Mon, 27 Oct 2025 13:51:30 +0800

dde-daemon (6.1.60) unstable; urgency=medium

  * fix: 对智能电池电量增加阀值配置,以及开关
  * fix: disable touchscreen left edge clipboard gesture
  * Revert "fix: Modify the default clipboard shortcut key"
  * Revert "fix: prevent GTK window size change on daemon exit"
  * fix: check lightdm group existence before permission setup
  * i18n: Updates for project Deepin Desktop Environment (#906)
  * fix: Modify the default clipboard shortcut key

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 17:18:59 +0800

dde-daemon (6.1.59) unstable; urgency=medium

  * fix: revert device listener thread management to fix CPU usage
  * fix: restrict scheduler module to Deepin/UOS platforms only
  * fix: remove ACPI event configurations for security compliance
  * chore: remove deprecated appinfo and apps1 modules
  * fix: remove uadpagent module and gnome-keyring dependency
  * fix: remove deepin-proxy dependency for security compliance
  * fix: security hardening for dde-daemon services
  * chore: remove iw module

 -- fuleyi <fuleyi@uniontech.com>  Thu, 16 Oct 2025 16:55:22 +0800

dde-daemon (6.1.58) unstable; urgency=medium

  * feat: 移除网络模块
  * feat: 移除网络模块
  * fix: change power mode setting to use transient service
  * fix: touchpad state not preserved after Bluetooth device
    reconnection
  * fix: improve device listener thread management

 -- fuleyi <fuleyi@uniontech.com>  Fri, 10 Oct 2025 15:39:33 +0800

dde-daemon (6.1.57) unstable; urgency=medium

  * fix: initialize power saving brightness drop percent
  * fix: handle dconfig initialization failure properly
  * refactor: remove fprintd and dde-authority modules
  * chore: update package dependencies
  * refactor: remove xsettings dependency
  * feat: migrate polkit rules from pkla to rules format
  * feat: add StopAudioService interface for session logout
  * fix: resolve NumLock state sync issue between daemon and frontend

 -- fuleyi <fuleyi@uniontech.com>  Thu, 25 Sep 2025 20:52:08 +0800

dde-daemon (6.1.56) unstable; urgency=medium

  * refactor: migrate from custom config helpers to dconfig module
  * feat: 多屏场景下支持合盖后自动切换仅外屏显示
  * fix: 解决焦点在控制中心更新模块，仍有更新的横幅通知的问题
  * refactor: migrate audio configuration from gsettings to dconfig
  * refactor: migrate gesture configuration from GSettings to DConfig
  * chore: remove GNOME wrapper configuration
  * fix: touchpad cannot be properly disabled
  * fix: Password authentication is required when system was waked up

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:00:38 +0800

dde-daemon (6.1.55) unstable; urgency=medium

  * fix: correct logger method call in sync config

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 12 Sep 2025 10:09:08 +0800

dde-daemon (6.1.54) unstable; urgency=medium

  * refactor: migrate sound effect settings to dconfig
  * i18n: Updates for project Deepin Desktop Environment (#884)
  * refactor: migrate locale settings from GSettings to DConfig
  * fix: prevent GTK window size change on daemon exit
  * feat: 单声道模式支持
  * feat: uadpdbus接口支持20风格
  * feat(inputdevice): Change gsettings to dconfig

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 11 Sep 2025 20:58:23 +0800

dde-daemon (6.1.53) unstable; urgency=medium

  * fix: Update Bluetooth state as soon as possible
  * fix: correct touchpad enable function parameter
  * fix: resolve touchpad state persistence issue after system restart
  * refactor: migrate display settings from gsettings to dconfig

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 04 Sep 2025 21:48:37 +0800

dde-daemon (6.1.52) unstable; urgency=medium

  * fix: 解决蓝牙文件传输拒绝后，依旧在传输的问题
  * feat(power&keybinding): Change backend configuration to dconfig
  * i18n: Translate misc/po/dde-daemon.pot in pt_BR (#872)
  * fix: 解决内置声卡被禁用端口插拔时没有通知的问题
  * fix: 解决控制中心时区列表格式不统一的问题
  * fix: Fixed the issue of password modification date
  * chore: remove ipwatchd dependency

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 28 Aug 2025 14:36:05 +0200

dde-daemon (6.1.51) unstable; urgency=medium

  * fix: 解决崩溃问题 默认sink没有判空导致崩溃
  * fix: 解决电源管理性能模式设置后实际不生效的问题
  * fix: 解决配置声音输入设备优先级，没有生效
  * fix: 蓝牙默认模式不是最高质量的
  * fix:  设置输出端口的插拔管理默认开启
  * fix: 解决禁用声卡端口后，插拔耳机没有通知
  * fix: 解决端口禁用没有切换的问题
  * Fix: Error in modifying Bluetooth data

 -- fuleyi <fuleyi@uniontech.com>  Thu, 21 Aug 2025 14:15:22 +0800

=== debian/control ===
--- 
+++ 
@@ -41,8 +41,6 @@
  libglib2.0-dev,
  libgtk-3-dev,
  libinput-dev,
- libnl-3-dev,
- libnl-genl-3-dev,
  librsvg2-bin,
  libudev-dev,
  libx11-dev,
@@ -61,7 +59,6 @@
 Package: dde-daemon
 Architecture: any
 Depends:
- bamfdaemon,
  bluez-obexd,
  cgroup-tools,
  dbus,
@@ -69,31 +66,22 @@
  dde-polkit-agent,
  deepin-desktop-schemas (>> 5.1.2+),
  deepin-installer-timezones,
- deepin-proxy,
  deepin-sound-theme,
  dmidecode,
- dnsmasq-base,
- gnome-keyring,
  libglib2.0-bin,
  hwinfo,
  imwheel,
- ipwatchd,
- iso-codes,
  lastore-daemon,
  libfprint0 | libfprint | libfprint-2-2,
- libnl-3-200,
- libnl-genl-3-200,
  libnotify-bin,
  libpam-runtime (>= 1.1.3-2~),
  libpam0g,
- libnss-myhostname,
- mobile-broadband-provider-info,
  network-manager,
  procps,
  rfkill,
  tlp,
- user-setup,
  xdotool,
+ x11-utils,
  xkb-data,
  dde-dconfig-daemon,
  ${dist:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 export GO111MODULE=off
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export CFLAGS = -W -Wall -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie
+# Deepin/Uos系统，编译scheduler（移除noscheduler标签）
+export BUILD_TAGS = 
 
 SYSTYPE=Desktop
 SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')

## dde-daemon 6.1.64

=== Makefile ===
--- 
+++ 
@@ -76,7 +76,6 @@
     ${GOPKG_PREFIX}/system/keyevent1 \
     ${GOPKG_PREFIX}/system/lang \
     ${GOPKG_PREFIX}/system/power1 \
-    ${GOPKG_PREFIX}/system/power_manager1 \
     ${GOPKG_PREFIX}/system/resource_ctl \
     ${GOPKG_PREFIX}/system/scheduler \
     ${GOPKG_PREFIX}/system/swapsched1 \
@@ -131,7 +130,7 @@
 pot:
 	deepin-update-pot misc/po/locale_config.ini
 
-POLICIES=accounts grub2
+POLICIES=accounts grub2 daemon.system
 ts:
 	for i in $(POLICIES); do \
 		deepin-policy-ts-convert policy2ts misc/polkit-action/org.deepin.dde.$$i.policy.in misc/ts/org.deepin.dde.$$i.policy; \

=== debian/changelog ===
dde-daemon (6.1.64) unstable; urgency=medium

  * feat: add read-only protection switch and translations
  * fix: resolve timezone display issue when switching to Beijing Time
  * feat: 安全整改,去掉部分dbus通过GetConnPID鉴权二进制路径的逻辑

 -- fuleyi <fuleyi@uniontech.com>  Thu, 13 Nov 2025 19:43:08 +0800

dde-daemon (6.1.63) unstable; urgency=medium

  * refactor: optimize audio code and fix issues
  * fix: fix bluetooth audio port priority assignment
  * chore: remove powermanager module
  * refactor: replace pactl scripts with pulseaudio API calls
  * fix: remove virtual device filtering for bluetooth touchpad
  * i18n: Translate misc/po/dde-daemon.pot in pt_BR
  * fix: code optimization

 -- fuleyi <fuleyi@uniontech.com>  Fri, 07 Nov 2025 10:13:39 +0800

dde-daemon (6.1.62) unstable; urgency=medium

  * fix: update notification center D-Bus interface paths
  * feat: 优化了音频配置.
  * fix: extend custom timezone mapping list
  * fix: correct config key in DSG property initialization
  * fix: update OBEX file transfer notification timeout

 -- Robertkill <lvpeilong@uniontech.com>  Thu, 30 Oct 2025 19:41:40 +0800
